package org.apache.catalina;

import java.util.Enumeration;

public interface ServletSession
{
    long getCreationTime();

    String getId();

    long getLastAccessedTime();

    Object getAttribute( String name );

    Enumeration getAttributeNames();

    void setAttribute( String name, Object attribute );

    void removeAttribute( String name );

    void invalidate();
}
